%____________________________________________________________________________
% MAIN_SADDLE.M  
% Main program for the computation of the saddlepoint approximation to
% the density of the resultant length of the isotropic random walk with
% exponential step lentgths and dimension 3
%____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab
clear

dom = [.001 .01:.01:1];
%n = 6; r = 8*dom;
n = 9; r = 8*dom;

beta = 5; u = 1.5;
beta = 4; u = 1; 
beta = 3; u = .5; 
beta = 2; u = .1; 

l = length(r);

sp = zeros(1,l); 
f = zeros(1,l); 
for j = 1:l,
	u = fminsearch('saddle',u,[],r(j),n,beta);	
	sp(j) = u;
	f(j) = saddens(sp(j),r(j),n,beta);
end;

b = 1/int1(r,f); 
fn = b*f; 
