function integral = int1(dom,g);

%________________________________________________________________________________ 
% INT1.M
% Arguments: dom (domain of integration), g (nb. of functions X nb. of abscissa
%	     values of the functions to integrate)  
% This routine computes the integral(s) of one or more functions over a domain 
%________________________________________________________________________________

[k n]=size(dom);
if k>1, dom=dom'; n=k; end;
v=[dom(1)-abs(dom(1)-dom(2)) dom dom(n)+abs(dom(n)-dom(n-1))];

for i=2:n+1,
	r1=abs(v(i+1)-v(i))/2;
	r2=abs(v(i)-v(i-1))/2;
	s(i-1)=r1+r2;
end;

integral = g*s';
