%____________________________________________________________________________
% SIMUL.M	 
% Main program for the computation of the Monte Carlo distribution of the 
% resultant length of the isotropic random walk with uniform step 
% lentgths and dimension 3 
%____________________________________________________________________________


addpath /Volumes/users/gatto/Matlab
clear

n = 6;

sim = 50000; % number of simulations multiple of 8  

Xu = [];

X = randUniformSphere(n*sim/8,3);
U = rand(n*sim/8,1);
Xu = [Xu; diag(U)*X];
clear X U; 

X = randUniformSphere(n*sim/8,3);
U = rand(n*sim/8,1);
Xu = [Xu; diag(U)*X];
clear X U;

X = randUniformSphere(n*sim/8,3);
U = rand(n*sim/8,1);
Xu = [Xu; diag(U)*X];
clear X U;

X = randUniformSphere(n*sim/8,3);
U = rand(n*sim/8,1);
Xu = [Xu; diag(U)*X];
clear X U;

X = randUniformSphere(n*sim/8,3);
U = rand(n*sim/8,1);
Xu = [Xu; diag(U)*X];
clear X U;

X = randUniformSphere(n*sim/8,3);
U = rand(n*sim/8,1);
Xu = [Xu; diag(U)*X];
clear X U;

X = randUniformSphere(n*sim/8,3);
U = rand(n*sim/8,1);
Xu = [Xu; diag(U)*X];
clear X U;

X = randUniformSphere(n*sim/8,3);
U = rand(n*sim/8,1);
Xu = [Xu; diag(U)*X];
clear X U;

k = 1; j = 1;
while k+n-1 <= n*sim,
	R(j) = norm(sum( Xu(k:k+n-1,:) ));
	j = j+1;
	k = k+n;
end;

d = floor(max(R)+1)/200;
histo([0:d:floor(max(R)+1)],R)

%M=mean(exp(sum(Xu'))); % m.g.f. 

